## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

### DELETE /v2.0/users/{userId}

#### Try it

#### Delete a User

**cURL**

```bash
curl --request DELETE \
  --url https://api-trial.cognigy.ai/new/v2.0/users/{userId} \
  --header 'X-API-Key: <api-key>'
```

**Python**

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/users/{userId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

**JavaScript (Fetch)**

```javascript
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/users/{userId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

**PHP**

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/users/{userId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "DELETE",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error ":" . $err;
} else {
  echo $response;
}
```

**Go**

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/users/{userId}"

req, _ := http.NewRequest("DELETE", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

**Unirest (Java)**

```java
HttpResponse<String> response = Unirest.delete("https://api-trial.cognigy.ai/new/v2.0/users/{userId}")
  .header("X-API-Key", "<api-key>")
  .asString();
```

**Ruby**

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-trial.cognigy.ai/new/v2.0/users/{userId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["X-API-Key"] = '<api-key>'

response = http.request(request)
puts response.read_body
```

### Error Responses

| Status Code | Error Type           | Description                                  |
|-------------|----------------------|----------------------------------------------|
| 400         | Bad Request Error     | Validation failed. Missing payload.          |
| 401         | Unauthorized Error    | <string>                                    |
| 402         | Payment Required Error | Validation failed. Missing payload.          |
| 403         | Forbidden Error       | <string>                                    |
| 404         | Not Found Error       | <string>                                    |
| 405         | Method Not Allowed Error| <string>                                   |
| 409         | Conflict Error        | <string>                                    |
| 413         | Payload Too Large Error| <string>                                   |
| 500         | Internal Server Error | <string>                                    |
| 501         | Not Implemented Error | <string>                                    |
| 502         | Bad Gateway Error     | <string>                                    |
| 503         | Service Unavailable Error| <string>                                  |
| 504         | Gateway Timeout Error | <string>                                    |

### Authorization

**X-API-Key**

- **Type:** `string`
- **In:** `header`
- **Required:** Yes
- **Description:** Supply the API Key in the HTTP-Header.

### Headers

- **Accept**: Specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. Default value is `application/json`.

### Path Parameters

- **userId**
    - **Type:** `string`
    - **Required:** Yes
    - **Description:** The Id of the User
    - **Required string length:** `24`
    - **Pattern:** `^[a-z0-9]{24}$`

### Response

- **204**: The user was removed successfully.

Last modified on July 8, 2026.
